> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query dimension values

> These contain the dimension values that your user tracks against. For example, if you defined a dimension of "Location", your user could define their dimension values as "NA Branch", "Asia Branch", "EU Branch".



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/dimensions/values/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/dimensions/values/query:
    post:
      tags:
        - Dimensions
      summary: Query dimension values
      description: >-
        These contain the dimension values that your user tracks against. For
        example, if you defined a dimension of "Location", your user could
        define their dimension values as "NA Branch", "Asia Branch", "EU
        Branch".
      operationId: queryDimensionValues
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DimensionValueQueryParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DimensionValuePaginatedResponse'
              example:
                result: SUCCESS
                data:
                  - id: dv_936413
                    dimension:
                      id: tdim_439512
                      rootId: tdim_439512
                      name: Region
                      requiredness: REQUIRED
                    name: Mid-Atlantic
                    children:
                      - id: dv_936419
                        dimension:
                          id: tdim_439513
                          rootId: tdim_439512
                          name: Location
                          requiredness: NOT_REQUIRED
                        name: District of Columbia, DC
                        children:
                          - id: dv_936415
                            dimension:
                              id: tdim_439514
                              rootId: tdim_439512
                              name: Job Site
                              requiredness: NOT_REQUIRED
                            name: 1611 Connecticut Ave
                            children: []
                          - id: dv_936418
                            dimension:
                              id: tdim_439514
                              rootId: tdim_439512
                              name: Job Site
                              requiredness: NOT_REQUIRED
                            name: 1815 Adams Mill Rd
                            children: []
                      - id: dv_936420
                        dimension:
                          id: tdim_439513
                          rootId: tdim_439512
                          name: Location
                          requiredness: NOT_REQUIRED
                        name: Bethesda, MD
                        children:
                          - id: dv_936416
                            dimension:
                              id: tdim_439514
                              rootId: tdim_439512
                              name: Job Site
                              requiredness: NOT_REQUIRED
                            name: 5511 Cornish Rd
                            children: []
                  - id: dv_936414
                    dimension:
                      id: tdim_439512
                      rootId: tdim_439512
                      name: Region
                      requiredness: REQUIRED
                    name: Northeast
                    children:
                      - id: dv_936421
                        dimension:
                          id: tdim_439513
                          rootId: tdim_439512
                          name: Location
                          requiredness: NOT_REQUIRED
                        name: Boston, MA
                        children:
                          - id: dv_936417
                            dimension:
                              id: tdim_439514
                              rootId: tdim_439512
                              name: Job Site
                              requiredness: NOT_REQUIRED
                            name: 123 Atlantic Avenue
                            children: []
                cursor:
                  after: <string>
                  before: <string>
                error: []
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    DimensionValueQueryParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
    DimensionValuePaginatedResponse:
      type: object
      properties:
        result:
          type: string
          description: Result status
          example: SUCCESS
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: List of dimension values
          items:
            $ref: '#/components/schemas/DimensionValueGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
      description: Paginated response for dimension values
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    DimensionValueGetDto:
      required:
        - children
        - dimension
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension value
          example: dv_936415
        dimension:
          $ref: '#/components/schemas/DimensionSubParam'
        name:
          type: string
          description: Name of the dimension value
          example: 1234 Massachusetts Ave
        children:
          type: array
          items:
            $ref: '#/components/schemas/DimensionValueGetDto'
      description: List of dimension values
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    DimensionSubParam:
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension
          example: tdim_439512
        rootId:
          type: string
          description: Id of the root dimension
          example: tdim_439512
        name:
          type: string
          description: Name of the dimension
          example: Job Site
        requiredness:
          type: string
          description: Requiredness of the dimension
          example: NOT_REQUIRED
          enum:
            - REQUIRED
            - NOT_REQUIRED
      description: Associated dimension
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````